Method: dashboards.fetchMigrationJobs

Full name: projects.locations.instances.dashboards.fetchMigrationJobs

Fetch migration jobs for a given customer.

HTTP request

GET https://{endpoint}/v1alpha/{parent}/dashboards:fetchMigrationJobs

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The parent resource for which to fetch migration jobs. Format: projects/{project}/locations/{region}/instances/{instance}

Query parameters

Parameters
migrationJobId

string

Optional. The ID of the migration job to fetch.

Request body

The request body must be empty.

Response body

Response message for fetching migration jobs.

If successful, the response body contains data with the following structure:

JSON representation
{
  "migrationJobs": [
    {
      object (MigrationJob)
    }
  ]
}
Fields
migrationJobs[]

object (MigrationJob)

Output only. The migration jobs.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

MigrationJob

Migration job details.

JSON representation
{
  "migrationJobId": string,
  "jobMigrationStatus": enum (JobMigrationState),
  "results": [
    {
      object (DashboardMigrationResult)
    }
  ],
  "startedBy": string,
  "startTime": string,
  "endTime": string
}
Fields
migrationJobId

string

Output only. The ID of the migration job.

jobMigrationStatus

enum (JobMigrationState)

Output only. The status of the migration job.

results[]

object (DashboardMigrationResult)

Output only. The results of the individual dashboard migrations.

startedBy

string

Output only. The user who started the migration job.

startTime

string (Timestamp format)

Output only. The time when the migration job started.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

endTime

string (Timestamp format)

Output only. The time when the migration job ended.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

DashboardMigrationResult

Result of a single dashboard migration.

JSON representation
{
  "dashboard": string,
  "status": enum (DashboardMigrationState),
  "errorMessage": string,
  "nativeDashboard": string
}
Fields
dashboard

string

Output only. The resource name of the legacy dashboard.

status

enum (DashboardMigrationState)

Output only. The status of the migration.

errorMessage

string

Output only. Error message if the migration failed.

nativeDashboard

string

Output only. The resource name of the native dashboard created.

DashboardMigrationState

State of the dashboard migration.

Enums
DASHBOARD_MIGRATION_STATE_UNSPECIFIED Default value. This value is unused.
DASHBOARD_MIGRATION_STATE_PENDING The migration is pending.
DASHBOARD_MIGRATION_STATE_IN_PROGRESS The migration is in progress.
DASHBOARD_MIGRATION_STATE_SUCCESS The migration was successful.
DASHBOARD_MIGRATION_STATE_NEEDS_REVIEW The migration needs review.
DASHBOARD_MIGRATION_STATE_FAILED The migration failed.